Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.basic
Class AbstractBookList

    java.lang.Object
      org.crosswire.jsword.book.basic.AbstractBookList

All Implemented Interfaces:
  BookList

Direct Known Subclasses:
  AbstractSwordInstaller

    public abstract class AbstractBookList

extends Object
implements BookList

A basic implementation of BookList. The methods in this abstract class are duplicates of those in Books, so bugs fixed in one should be fixed in the other too.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private static EventListenerList` | `listeners` The list of listeners

Constructor Summary
`AbstractBookList()`

Method Summary
`void` | `addBooksListener(BooksListener li)` Remove a BibleListener from our list of listeners
`protected static void` | `fireBooksChanged(Object source, Book book, boolean added)` Kick of an event sequence
`List` | `getBooks(BookFilter filter)` Get a filtered list of all the Books.
`void` | `removeBooksListener(BooksListener li)` Add a BibleListener to our list of listeners

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.crosswire.jsword.book.BookList
`getBooks`

Field Detail

### listeners

    private static EventListenerList listeners

  The list of listeners

Constructor Detail

### AbstractBookList

    public AbstractBookList()

Method Detail

### getBooks

    public List getBooks(BookFilter filter)

  Description copied from interface: `BookList`
  Get a filtered list of all the Books.

  Specified by:
    `getBooks` in interface `BookList`
  See Also:
    `BookFilters`

### addBooksListener

    public void addBooksListener(BooksListener li)

  Description copied from interface: `BookList`
  Remove a BibleListener from our list of listeners

  Specified by:
    `addBooksListener` in interface `BookList`
  Parameters:
    `li` - The old listener

### removeBooksListener

    public void removeBooksListener(BooksListener li)

  Description copied from interface: `BookList`
  Add a BibleListener to our list of listeners

  Specified by:
    `removeBooksListener` in interface `BookList`
  Parameters:
    `li` - The new listener

### fireBooksChanged

    protected static void fireBooksChanged(Object source,
                                           Book book,
                                           boolean added)

  Kick of an event sequence

  Parameters:
    `source` - The event source
    `book` - The changed Book
    `added` - Is it added?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD